## net.i2p.router.web
Class ConfigServiceHandler

    java.lang.Object
      net.i2p.router.web.FormHandler
          net.i2p.router.web.ConfigServiceHandler

    public class ConfigServiceHandler

extends FormHandler

Handler to deal with form submissions from the service config form and act upon the values.

Nested Class Summary
`static class` `ConfigServiceHandler.UpdateWrapperManagerAndRekeyTask`
`static class` `ConfigServiceHandler.UpdateWrapperManagerTask`

Field Summary

Fields inherited from class net.i2p.router.web.FormHandler
`_action, _context, _log, _method, _passphrase`

Constructor Summary
`ConfigServiceHandler()`

Method Summary
`protected void` `processForm()` Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

Methods inherited from class net.i2p.router.web.FormHandler
`_, _, _, addFormError, addFormNotice, getAllMessages, getErrors, getNewNonce, getNotices, setAction, setContextId, setNonce, setPassphrase, storeMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigServiceHandler

    public ConfigServiceHandler()

Method Detail

### processForm

    protected void processForm()

  Description copied from class: `FormHandler`
  Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

  Overrides:
    `processForm` in class `FormHandler`